# Signature API.

## Files
file | rpmlib.h
| In Memoriam: Steve Taylor <staylor@redhat.com> was here, now he's not.

## Typedefs
typedef enum rpmSigTag_e | rpmSigTag
| Tags found in signature header from package.
## Enumerations
enum | rpmSigTag_e { RPMSIGTAG_SIZE = 1000, RPMSIGTAG_LEMD5_1 = 1001, RPMSIGTAG_PGP = 1002, RPMSIGTAG_LEMD5_2 = 1003, RPMSIGTAG_MD5 = 1004, RPMSIGTAG_GPG = 1005, RPMSIGTAG_PGP5 = 1006, RPMSIGTAG_PAYLOADSIZE = 1007, RPMSIGTAG_BADSHA1_1 = RPMTAG_BADSHA1_1, RPMSIGTAG_BADSHA1_2 = RPMTAG_BADSHA1_2, RPMSIGTAG_SHA1 = RPMTAG_SHA1HEADER, RPMSIGTAG_DSA = RPMTAG_DSAHEADER, RPMSIGTAG_RSA = RPMTAG_RSAHEADER, RPMSIGTAG_LONGSIZE = RPMTAG_LONGSIGSIZE, RPMSIGTAG_LONGARCHIVESIZE = RPMTAG_LONGARCHIVESIZE }
| Tags found in signature header from package. More...

## Typedef Documentation

typedef enum rpmSigTag_e rpmSigTag

Tags found in signature header from package.

## Enumeration Type Documentation

enum rpmSigTag_e

Tags found in signature header from package.

Enumerator:

  RPMSIGTAG_SIZE | internal Header+Payload size (32bit) in bytes.
  RPMSIGTAG_LEMD5_1 | internal Broken MD5, take 1 Deprecated: legacy.
  RPMSIGTAG_PGP | internal PGP 2.6.3 signature.
  RPMSIGTAG_LEMD5_2 | internal Broken MD5, take 2 Deprecated: legacy.
  RPMSIGTAG_MD5 | internal MD5 signature.
  RPMSIGTAG_GPG | internal GnuPG signature.
  RPMSIGTAG_PGP5 | internal PGP5 signature Deprecated: legacy.
  RPMSIGTAG_PAYLOADSIZE | internal uncompressed payload size (32bit) in bytes.
  RPMSIGTAG_BADSHA1_1 | internal Broken SHA1, take 1.
  RPMSIGTAG_BADSHA1_2 | internal Broken SHA1, take 2.
  RPMSIGTAG_SHA1 | internal sha1 header digest.
  RPMSIGTAG_DSA | internal DSA header signature.
  RPMSIGTAG_RSA | internal RSA header signature.
  RPMSIGTAG_LONGSIZE | internal Header+Payload size (64bit) in bytes.
  RPMSIGTAG_LONGARCHIVESIZE | internal uncompressed payload size (64bit) in bytes.

Definition at line 295 of file rpmtag.h.